.main {
    width: 1400px;
}

.subtitle{
    font-weight: 700; 
}

/* Название продукта */
.product-name {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px 0px 20px;
    font-weight: 700;
    font-size: 32px;
    line-height: 39px;
    margin-bottom: 10px;
    width: 1400px; 
}

/* Фотографии продукта */
.product-view{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 10px;
    margin-bottom: 30px;
    width: 1400px;
}

.product-view__photo {
    height: 387px;
    width: auto;
}

/* Основной блок */
.main-unit {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    gap: 100px;
    margin-bottom: 55px;
    width: 1400px;
}

.description {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 30px;
    width: 880px;
}

/* Цвет товара */
.color-product{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

.color-product__options {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;
}

.color-product__btn {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0px;
    gap: 10px;
    width: 80px;
    height: 80px;
    border: 1px solid #888888;
    background:  #FFFFFF;
    border-radius: 4px;
    cursor: pointer;
}

.color-product__icon {
    height: 60px;
    width: auto;
}

.color-product__btn_selected {
    border: 2px solid #F36223;
}

.color-product__btn:hover {
    background: #F2F2F2;
}

.color-product__btn:active {
    border: 2px solid #A93A09;
}

/* Память */
.memory {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

.memory__options {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 10px;
}

.memory__btn {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    gap: 10px;
    width: 92px;
    height: 39px;
    border: 1px solid #888888;
    background:  #FFFFFF;
    border-radius: 4px;
    cursor: pointer;
}

.memory__btn_selected {
    border: 2px solid #F36223;
}

.memory__btn:hover {
    background-color: #F2F2F2;
}

.memory__btn:active {
    border: 2px solid #A93A09;
}

/* Характеристики */
.characteristic{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

.characteristic__list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 0px;
    gap: 10px; 
}

.characteristic__elements {
    padding: 0;
    margin: 0;
}

.characteristic__element-li{
    list-style-type: none;
    line-height: 10px;
}

.characteristic__element-li::before {
    content: '';
    display: inline-block;
    height:10px;
    width: 10px;
    vertical-align: middle;
    border-radius:50%;
    background-color:#888888;
    margin-right: 10px;
   }

.product-description {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

.product-description__text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 15px; 
}

.comparison-models {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 15px;
    width: 876px;
}

.table {
    border-collapse: collapse;
    width: 876px;
    height: 156px; 
    border: 1px solid #888888;
}

.table__header {
    border-bottom: 1px solid #888888;
    border-right: 1px solid #888888;
    text-align: center;
    height: 39px;
}

.table__element {
    border-right: 1px solid #888888;
    text-align: center;
    min-height: 39px;
}

.table__line:hover {
    background: #F2F2F2;
    border-right: 1px solid #888888;
}

/* Отзывы */
.review {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 25px;
    width: 880px;
    margin-bottom: 100px;
}

.review__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px;
    gap: 10px;
}

.review__header-content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;
    font-weight: 700;
    font-size: 24px;
    line-height: 29px;
}

.review__header-amount {
    color: #888888;
}

.review__description {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 40px;
    margin-bottom: 35px;
}

.review__content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    gap: 30px;
}

.review__author-photo {
    width: 140px;
    height: 140px;
    border-radius: 100px;
}

.review__text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 20px;
}

.review__author {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;
}

.review__author-name {
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
}

.review__rating-img {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    width: 150px;
    height: 30px;
}

.review__info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;   
}

.review__info-text {
    font-size: 14px;
    line-height: 17px;
}

.review__info-subtitle {
    font-weight: 700;
}

.review__separator {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px 0px 0px 170px;
    width: 710px;
}

.review__line {
    box-sizing: border-box;
    width: 710px;
    height: 1px;
    border: 1px dashed #888888;
}

.review__input-form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px 0px 0px 170px;
    gap: 15px;
    width: 710px;
}

.review__form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    /* gap: 30px;  */
    /* width: 710px; */
} 


.review__string-form {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    gap: 40px;
    width: 710px;
}

.review__name {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 15px 20px;
    width: 495px;
    border: 1px solid #888888;
}

.review__field-name {
    width: 495px;
}

.review__rating {
    box-sizing: border-box;
    padding: 15px 20px;
    width: 175px;
    border: 1px solid #888888;
}

.review__field-rating {
    width: 175px;
} 


.review__rating:hover {
    border: 1px solid #000000;
}

.review__text-author {
    padding: 15px 20px;
    width: 710px;
    height: 190px;
    border: 1px solid #888888;
    resize: none;
    margin-bottom: 30px;
}

.review__btn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0px 20px;
    gap: 10px; 
    width: 177px;
    height: 39px;
    background: #F36223;
    border-radius: 4px;
    border: 0;
    cursor: pointer;
    color: #FFFFFF;
} 


.review__btn:hover {
    background:#DA4A0C;
}

.review__btn:active {
    background: #A93A09;
}

/* Сейдбар */

.sidebar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 40px;
    width: 420px;
}

.price {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 20px;
    gap: 15px;
    background: #FFFFFF;
    border: 1px solid #EEEEEE;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
    border-radius: 20px;
    width: 420px;
}

.price__product {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    padding: 0px;
    gap: 10px; 
    width: 380px;
}

.price__block {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;
}

.price__old {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 10px;
    line-height: 16px;
}

.price__old-text {
    text-decoration-line: line-through;
    color: #888888;
}

.price__discount {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 4px 8px;
    gap: 10px;
    background: #F36223;
    border-radius: 500px;
}

.price__discount-text {
    color: #FFFFFF;
}

.price__actual {
    font-size: 32px;
    line-height: 39px;
}

.price__btn-favorite {
    display: flex;
}

.price__btn-favorite::before {
    content: '♡';
    color: #888888;
    font-size: 30px;
    font-weight: normal;
} 

.price__btn-favorite:hover::before {
    color:#F36223;
}

.price__btn-favorite:active::before {
    color: #A93A09;
}

.price__delivery {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px 0px 20px;
    gap: 10px;
    font-weight: 400;
    width: 380px;
}

.price__btn-basket {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 20px 49px;
    gap: 10px;
    width: 380px;
    background: #F36223;
    border-radius: 4px;
    border: 0;
    cursor: pointer;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #FFFFFF;
}

.price__btn-basket::before {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-image: url(./Vector-basket.svg);
    background-repeat: no-repeat;
    background-position: center center;
}

.price__btn-basket:hover {
    background: #DA4A0C;
}

.price__btn-basket:active {
    background: #A93A09;
} 
 
/* Фреймворк */
.advertising {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;
    width: 420px;   
}

.advertising__text{
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    color: #888888;
}

.advertising__iframe {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 15px;
    width: 420px;
}

.advertising__iframe-view{
    background: #F0F0F0;
    border: 1px dashed #888888;
    height: 300px;
    width: 420px;
} 


/* Форма ошибки */
.error-name {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 8px 20px;
    gap: 10px;
    width: 495px;
    height: 46px;
    background: #DA4A0C;

    font-size: 12px;
    line-height: 15px;
    color: #FFFFFF;
    visibility: hidden;
}

.error-rating {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 8px 20px;
    gap: 10px;
    width: 175px;
    height: 46px;
    background: #DA4A0C;
    
    font-size: 12px;
    line-height: 15px;
    color: #FFFFFF;
    visibility: hidden;
} 

@media (min-width: 1025px) and (max-width: 1499px) {

    /* .header, .bread-crumbs, .footer */
    .product-name, .product-view, 
    .review__line, .review__string-form, .review__text-author,
    .price, .price__product, .price__delivery, .price__btn-basket, 
    .advertising, .advertising__iframe, .advertising__iframe-view, .main {
        width: 100%;
    } 

    /* .header__content {
        width: 97%;
    } */

    .product-view__photo {
        height: 272px;
        width: auto;
    }

    .main-unit {
        gap: 40px;
        margin-bottom: 0px;
        width: 100%;
    }

    .comparison-models {
        display: none;
    }

    .description, .review {
        width: 63%;
    }

    .review__author-photo {
        width: 100px;
        height: 100px;
    }

    .review__rating-img {
        width: 100px;
        height: 20px;
    }

    .review__input-form {
        padding: 0px;
        width: 100%;
    }

    .review__separator {
        padding: 0px 0px 0px 130px;
        width: 81%;
    }

    .review__form {
        width: 100%;
    }

    .review__field-name {
        width: 70%;
    }
    
    .review__name, .review__rating, .error-name, .error-rating {
        width: 100%;
    }

    .review__field-rating {
        width: 25%;
    }

    .sidebar {
        width: 30%;
    }

    .review {
        margin-bottom: 80px;
    }

    /* .footer__content {
        width: 97%;
    } */
}

@media (max-width: 1024px) {
    /* body { 
        margin: 80px 15px 15px;
    }
  */
    /* .footer, .header {
        width: 1024px;
    } */

    /* .bread-crumbs, .footer__content, .header__content*/
    .product-name, .product-view, .main {
        width: 994px;
    }

    .main-unit {
        gap: 40px;
        margin-bottom: 0px;
        width: 994px;
    }

    .description, .review, .review__form, 
    .review__string-form, .review__text-author {
        width: 594px;
    }

    .review__line, .review__separator {
        width: 424px;
    }

    .review__name, .error-name {
        width: 379px;
    }

    .review__rating, .error-rating {
        width: 175px;
    }

    .sidebar, .price, .advertising, .advertising__iframe,
    .advertising__iframe-view {
        width: 360px;
    }

    .price__product, .price__delivery, .price__btn-basket {
        width: 320px;
    }

    .comparison-models {
        display: none;
    }

    .review__input-form {
        padding: 0px;
        width: 594px;
    }

    .product-view__photo {
        height: 272px;
        width: auto;
    }
}